=== debian/changelog ===
minisign (0.11-1) unstable; urgency=medium

  * New upstream version 0.11
  * debian/control: updadte Standards-Version to 4.6.2
  * debian/copyright: updated year copyright debian directory
  * debian/patches: udpade acute-accent-in-manual-page

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 21 Jan 2023 10:41:57 -0300

minisign (0.10-3) unstable; urgency=medium

  * debian/watch:
     - fix url to https://github.com/jedisct1/minisign/tags
     - replacing filenamemangle with USCAN_SYMLINK=rename

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 21 Jan 2023 10:41:02 -0300

minisign (0.10-2) unstable; urgency=medium

  * Set Maintainer to Josenilson (ITP auhor)
  * Fix lintian: acute-accent-in-manual-page
  * Extend upstream metadata
  * Install README.md

  [ Chirayu Desai ]
  * Initial autopkgtest setup

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 21 Sep 2022 17:16:25 +0200

minisign (0.10-1) unstable; urgency=medium

  * Initial release. (Closes: #869169)

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 15 Jun 2022 17:33:54 +0200
