=== debian/control ===
Source: minisign
Section: misc
Priority: optional
Maintainer: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Uploaders: Hans-Christoph Steiner <hans@eds.org>,
           Chirayu Desai <chirayudesai1@gmail.com>
Rules-Requires-Root: no
Standards-Version: 4.6.2
Build-Depends: cmake (>= 3.4),
               debhelper-compat (= 13),
	       libsodium-dev,
	       pkg-config,
Vcs-Git: https://salsa.debian.org/debian/minisign.git
Vcs-Browser: https://salsa.debian.org/debian/minisign
Homepage: https://jedisct1.github.io/minisign/

Package: minisign
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Dead simple tool to sign files and verify signatures
 Minisign is a dead simple tool to sign files and verify signatures.
 It is portable, lightweight, and uses the highly secure Ed25519
 public-key signature system. Signature files include an untrusted
 comment line that can be freely modified, even after signature
 creation. They also include a second comment line, that cannot be
 modified without the secret key. Trusted comments can be used to add
 instructions or application-specific metadata (intended file name,
 timestamps, resource identifiers, version numbers to prevent
 downgrade attacks).
