=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable additional explot mitigation
# (PIE and *full* RELRO at the time of this writing)
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@
