=== debian/changelog ===
minisign (0.12-1) unstable; urgency=medium

  [ Hans-Christoph Steiner ]
  * set debian/master as default branch for git-buildpackage

  [ Chirayu Desai ]
  * Remove myself from Uploaders

  [ Josenilson Ferreira da Silva ]
  * New upstream version 0.12
  * debian/control: Bumped Standards-Version to 4.7.0
  * debian/control: Updated name package pkg-config for pkgconf

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 02 Mar 2025 07:44:07 -0300
