=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Section: misc
 Priority: optional
 Maintainer: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
-Uploaders: Hans-Christoph Steiner <hans@eds.org>,
-           Chirayu Desai <chirayudesai1@gmail.com>
+Uploaders: Hans-Christoph Steiner <hans@eds.org>
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Depends: cmake (>= 3.4),
                debhelper-compat (= 13),
 	       libsodium-dev,
-	       pkg-config,
+	       pkgconf,
 Vcs-Git: https://salsa.debian.org/debian/minisign.git
 Vcs-Browser: https://salsa.debian.org/debian/minisign
 Homepage: https://jedisct1.github.io/minisign/
