=== debian/tests/control ===
Tests: verify
Depends: @, ca-certificates, curl
Restrictions: needs-internet

Tests: generate
Restrictions: allow-stderr
