=== debian/watch ===
version=4

opts=uversionmangle=s/[_.+-]?(rc|pre|dev|beta|alpha|b|a)/~$1/i,\
USCAN_SYMLINK=rename=s%(?:.+/)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2% \
  https://github.com/jedisct1/minisign/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
